package stream;

import java.io.IOException;

import error.CriticalLispException;

public class UncheckedIOException extends CriticalLispException {

    private static final long serialVersionUID = 1L;
    private IOException exception;

    public UncheckedIOException(IOException exception) {
        this.exception = exception;
    }

    @Override
    public String getMessage() {
        return exception.getMessage();
    }

}